petsc-3.12.1 2019-10-22
Report Typos and Errors

# PetscMemmove

Copies n bytes, beginning at location b, to the space beginning at location a. Copying between regions that overlap will take place correctly. Use PetscMemcpy() if the locations do not overlap

### Synopsis

    PETSC_STATIC_INLINE PetscErrorCode PetscMemmove(void *a,const void *b,size_t n)

Not Collective

### Input Parameters

| b | - pointer to initial memory space
| a | - pointer to copy space
| n | - length (in bytes) of space to copy

### Note

PetscArraymove() is preferred This routine is analogous to memmove().

Developers Note: This is inlined for performance

### See Also

PetscMemcpy(), PetscMemcmp(), PetscArrayzero(), PetscMemzero(), PetscArraycmp(), PetscArraycpy(), PetscStrallocpy(),
PetscArraymove()

### Level

intermediate

### Location

include/petscsys.h
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages